Bug 595448 - XVideo broken on Fedora 13
XVideo broken on Fedora 13
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
13
All Linux
high Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Patch, Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-24 12:13 EDT by Kamil Páral
Modified: 2018-04-11 08:09 EDT (History)
10 users (show)

See Also:
Fixed In Version: xorg-x11-drv-intel-2.12.0-1.fc13.x86_64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-03 06:57:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
broken video on XV output (584.64 KB, image/png)
2010-05-24 12:13 EDT, Kamil Páral
no flags Details
dmesg (99.14 KB, text/plain)
2010-05-28 07:41 EDT, Kamil Páral
no flags Details
messages (583.47 KB, text/plain)
2010-05-28 07:41 EDT, Kamil Páral
no flags Details
Xorg.0.log (76.55 KB, text/plain)
2010-05-28 07:42 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2010-05-24 12:13:28 EDT
Created attachment 416165 [details]
broken video on XV output

Description of problem:
When playing videos from TED Talks (example video:
http://video.ted.com/talks/podcast/SirKenRobinson_2010_480.mp4)
the output of the video is highly messed up and broken. See screenshot. This happens under totem, vlc, mplayer. When I use mplayer with -vo x11 or -vo gl option, video is completely fine. I suspect Intel drivers.

Surprisingly, videos from Big Buck Bunny:
http://www.bigbuckbunny.org/index.php/trailer-page/
play fine (both Theora and H264 versions).

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.11.0-4.fc13.x86_64

How reproducible:
always

Additional info:
# lspci -vvv
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07) (prog-if 00 [VGA controller])
        Subsystem: Lenovo Device 20e4
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 32
        Region 0: Memory at f4400000 (64-bit, non-prefetchable) [size=4M]
        Region 2: Memory at d0000000 (64-bit, prefetchable) [size=256M]
        Region 4: I/O ports at 1800 [size=8]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
                Address: fee0200c  Data: 41c9
        Capabilities: [d0] Power Management version 3
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
        Kernel driver in use: i915
        Kernel modules: i915
Comment 1 Matěj Cepl 2010-05-25 16:50:48 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Also, how do you play that TED talk? mplayer, totem, vlc?

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* output of the dmesg command,
* system log (/var/log/messages), and
* X server log file (/var/log/Xorg.*.log)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Kamil Páral 2010-05-28 07:32:08 EDT
Well this is interesting. This is another example of video with broken image (as on the screenshot):
http://video.ted.com/talks/podcast/SharmeenObaidChinoy_2010U_480.mp4

But this video plays just fine:
http://video.ted.com/talks/podcast/JohannaBlakley_2009X_480.mp4

When I compare them through mplayer -identify, the only difference is in resolution and bitrate.

As I said, I played those videos with totem, vlc and mplayer. The good video (JohannaBlakley) always plays fine. The bad videos (eg. SharmeenObaidChinoy) play as follows:
* Totem (default) - broken (I don't know how to change video output)
* VLC (default) - broken
* VLC (force xv) - broken
* VLC (force x11) - fine
* VLC (force opengl) - fine
* mplayer (default) - broken
* mplayer (force xv) - broken
* mplayer (force x11) - fine
* mplayer (force opengl) - fine

I'll attach the log files in a sec.
Comment 3 Kamil Páral 2010-05-28 07:41:37 EDT
Created attachment 417581 [details]
dmesg

I have rebooted with drm.debug=0x04 kernel option and tried to play first good video and then broken video. Now attaching all the logs. /etc/X11/xorg.conf does not exist.
Comment 4 Kamil Páral 2010-05-28 07:41:57 EDT
Created attachment 417582 [details]
messages
Comment 5 Kamil Páral 2010-05-28 07:42:14 EDT
Created attachment 417583 [details]
Xorg.0.log
Comment 6 cornel panceac 2010-05-29 00:47:21 EDT
i have similar symptoms on x86 fedora 13, same xorg-x11-drv-intel version.
Card is intel 82852/855gm [8086:3582] module is i915. the big bucks bunny video (smallest ogg version) is not played without -vo={x11,gl}.
Comment 7 Kamil Páral 2010-06-03 04:03:20 EDT
I have tested many more TEDtalks videos. I'm pretty sure now. When video resolution is 640x480, everything plays fine with xv output. When video resolution is 850x480, xv output is broken. Tested on cca 10 videos, no exception.
Comment 8 Glen Gray 2010-06-30 06:08:34 EDT
Me too, Intel 855GM hardware. 

We use an embedded PC Platform in hospitals, wanting to port the base OS to Fedora 13 (lack of XVideo support in F12 was a killer). Now, with XVideo enabled, when we try to play a video it causes gpu hang error.
Comment 9 Glen Gray 2010-06-30 10:20:29 EDT
Upgraded my F13 box to rawhide to try out the latest kernel/mesa/ddx. Things seem to have improved. I managed to get mplayer running and outputting to XV and no crashes. Unable to get vlc running so far, which is what the previous tests where done with.
Comment 10 westbrook 2010-07-03 01:40:31 EDT
This seems to be a copy of this bug 587155 https://bugzilla.redhat.com/show_bug.cgi?id=587155
Comment 11 westbrook 2010-07-03 01:43:49 EDT
This is also happening on my HP Pavilion dm3 laptop and is an exact copy of bug 587155.
Comment 12 Robert de Rooy 2010-07-10 15:59:50 EDT
Having the same problem on a ThinkPad T410 with Intel HD Graphics

xorg-x11-drv-intel-2.11.0-5.fc13.x86_64
Comment 13 Robert de Rooy 2010-07-14 13:13:50 EDT
Problem seems to be fixed here with the new Intel 2.12 build from Koji
http://koji.fedoraproject.org/koji/buildinfo?buildID=179735

Note that I am using it in conjunction with the 2.6.34.1 kernel RPM
http://koji.fedoraproject.org/koji/buildinfo?buildID=183346

xorg-x11-drv-intel-2.12.0-1.fc13.x86_64
kernel-2.6.34.1-11.fc13.x86_64
Comment 14 Kamil Páral 2010-07-16 10:11:46 EDT
I can confirm that xorg-x11-drv-intel-2.12.0-1.fc13.x86_64 fixed the problem for me. I didn't have to update the kernel.

Please push into updates-testing.
Comment 15 Matěj Cepl 2010-07-16 10:49:54 EDT
Thank you for letting us know.
Comment 16 cornel panceac 2010-07-16 12:15:20 EDT
(In reply to comment #13)
> Problem seems to be fixed here with the new Intel 2.12 build from Koji
> http://koji.fedoraproject.org/koji/buildinfo?buildID=179735
> 
> Note that I am using it in conjunction with the 2.6.34.1 kernel RPM
> http://koji.fedoraproject.org/koji/buildinfo?buildID=183346
> 
> xorg-x11-drv-intel-2.12.0-1.fc13.x86_64
> kernel-2.6.34.1-11.fc13.x86_64    

on my x40 thinkpad i had to update both the kernel and the driver for totem to work.
Comment 17 Kamil Páral 2010-07-18 12:50:22 EDT
(In reply to comment #15)
> Thank you for letting us know.    

Sorry Matěj, shouldn't this be closed only after pushing the updated package to Fedora? So it is not forgotten...?

If I am mistaken, please close this bug again, thanks.
Comment 18 Glen Gray 2010-07-27 06:15:21 EDT
Is this being pushed out to updates ?
Comment 19 Glen Gray 2010-11-09 07:43:02 EST
Testing with git master (what will be the 2.14 release) and the Fedora 14 2.6.35.6 kernel, all seems to be working well.

Also, backported the libdrm2.4.22, 2.6.35.6 and xorg driver to Fedroa 13 and managed to get it working there too.
Comment 20 Kamil Páral 2010-11-09 08:08:47 EST
This is fixed in Fedora 14 with xorg-x11-drv-intel-2.12.0-6.fc14.1.x86_64. The updated intel packages have not been pushed to Fedora 13 yet however.
Comment 21 Bug Zapper 2011-06-02 09:37:50 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Kamil Páral 2011-06-03 06:57:03 EDT
Closing as NEXTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.